
-- Version 20170410

SET ANSI_NULLS ON   -- nur Vergleich von IS Null erlauben
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON   -- Leerzeichen am Ende werden nicht abgeschnitten
GO

SET DATEFORMAT 'dmy'
GO

CREATE TABLE [dbo].[SQLBestand](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Description] [varchar](255) NULL,
	[Stichtag] [datetime] NULL,
	[StichtagText] [varchar](10) NULL,
	[Bestand] [varchar](255) NOT NULL,
 CONSTRAINT [PK_SQLBestand] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_SQLBestand] UNIQUE NONCLUSTERED 
(
	[Bestand] ASC,
	[StichtagText] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[Mandant](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[MandantName] [varchar](100) NOT NULL,
	[Mitglied] [varchar](50) NOT NULL,
	[MandantPLZ] [varchar](15) NULL,
	[MandantStrasse] [varchar](50) NULL,
	[MandantOrt] [varchar](50) NULL,
	[BilMon] [tinyint] NULL,
	[Orgeinheit] [varchar](50) NULL,
	[textnr] [real] NULL,
	[Bundesland] [varchar](50) NULL,
	[RenteAb] [tinyint] NULL,
	[WaisenEndAlter] [tinyint] NULL,
	[ZinsGrundLage] [varchar](50) NULL,
	[RechnungsZins] [real] NULL,
	[AnrSVProzent] [real] NULL,
	[AnzZahlungen] [real] NULL,
	[HrWert] [real] NULL,
	[RechnungsZinsATZ] [real] NULL,
	[RechnungsZinsBH] [real] NULL,
	[Hinweis] [text] NULL,
	[Ansicht] [varchar](500) NULL,
	[isPlanungsMandant] [bit] NULL,
	[finBeg] [varchar](20) NULL,
	[bewertungsverfahren] [varchar](100) NULL, 
	[SQLBestand] [bigint] NULL,
 CONSTRAINT [PK_Mandant] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_Mandant] UNIQUE NONCLUSTERED 
(
	[Mitglied] ASC,
	[SQLBestand] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]


GO


CREATE TABLE [dbo].[Person](
	[id] [bigint] NOT NULL,
	[PersNr] [varchar](50) NOT NULL,
	[MID] [bigint] NOT NULL,
	[Name] [varchar](100) NULL,
	[GebDat] [datetime] NULL,
	[Geschlecht] [varchar](8) NULL,
	[GebDatPartner] [datetime] NULL,
	[ZusatzInfo1] [varchar](50) NULL,
	[ZusatzInfo2] [varchar](50) NULL,
	[DatumErstZugang] [datetime] NULL,
	[DatumAnrBeg] [datetime] NULL,
	[DatumZusage] [datetime] NULL,
	[DatumAbgang] [datetime] NULL,
	[AbgangAusBv] [bit] NULL,
	[Versorgungsart] [varchar](25) NULL,
	[Personengruppe] [varchar](25) NULL,
	[Bemerkungen] [text] NULL,
	[Status] [varchar](25) NULL,
	[Fehlertext] [varchar](100) NULL,
	[Datum] [datetime] NULL,
	[KuerzErrechnen] [bit] NULL,
	[Kuerzfaktor] [real] NULL,
	[RgfGehaltErrechnen] [bit] NULL,
	[RgfGehaltEingabe] [real] NULL,
	[Familienzuschlag] [varchar](30) NULL,
	[Laufbahn] [varchar](30) NULL,
	[Besoldungsgruppe] [varchar](5) NULL,
	[Zulage] [varchar](40) NULL,
	[AnrSVJahre] [tinyint] NULL,
	[AnrSVProzent] [real] NULL,
	[AnzZahlungen] [real] NULL,
	[RenteAb] [varchar](10) NULL,
	[BeihilfeVJN] [bit] NULL,
	[BeihilfeVBetrag] [real] NULL,
	[BeihilfePJN] [bit] NULL,
	[BeihilfePBetrag] [real] NULL,
	[RenteBis] [tinyint] NULL,
	[FinBeg] [varchar](20) NULL,
	[AendDatum] [datetime] NULL,
	[VertragsDatum] [datetime] NULL,
	[BeginnArbeitsphase] [datetime] NULL,
	[BeginnFreistellungsPhase] [datetime] NULL,
	[BruttoTeilzeitGehalt] [real] NULL,
	[SVBeitraege] [real] NULL,
	[AufstockungsBetrag] [real] NULL,
	[ZusatzbeitragGRV] [real] NULL,
	[EinmalAufwand] [real] NULL,
	[ATZJN] [bit] NULL,
	[ATZBerArt] [varchar](5) NULL,
	[EndeAmtszeit] [datetime] NULL,
	[ATZRentenEintritt] [datetime] NULL,
	[Beteiligung] [real] NULL,
	[ZinsVorsorge] [real] NULL,
	[ZinsATZ] [real] NULL,
	[zinsVorsLeistung] [real] NULL,
	[gehalt] [real] NULL,
	[bruttoGehaltEinmal] [real] NULL,
	[atzAnzZahlungen] [real] NULL,
	[personenKreis] [varchar](200) NULL,
	[anzKinder] [int] NULL,
	[fsjJN] [bit] NULL,
	[fsjAnzZahlungen] [real] NULL,
	[fsjEnde] [datetime] NULL,
	[fsjBeginnArbeitsphase] [datetime] NULL,
	[fsjBeginnFreistellungsPhase] [datetime] NULL,
	[fsjTeilzeitGrad] [real] NULL,
	[rgfZulagen] [real] NULL,
	[altersgeld] [bit] NULL,
	[BeamterAufZeit] [bit] NULL,
	[JubiStart] [datetime] NULL,
	[Wahldatum] [datetime] NULL,
	[GGF] [datetime] NULL,
 CONSTRAINT [PK_Person] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_Person] UNIQUE NONCLUSTERED 
(
	[PersNr] ASC,
	[MID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO


ALTER TABLE [dbo].[Person]  WITH CHECK ADD  CONSTRAINT [FK_Person_Mandant] FOREIGN KEY([MID])
REFERENCES [dbo].[Mandant] ([id])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[Person] CHECK CONSTRAINT [FK_Person_Mandant]

GO




CREATE TABLE [dbo].[Benutzer](
	[ID] [bigint] IDENTITY(0,1) NOT NULL,
	[BenutzerName] [varchar](200) NULL,
	[RechnerName] [varchar](200) NULL,
	[Datum] [datetime] NULL,
	[Lizenz] [char](25) NULL,
 CONSTRAINT [PK_Benutzer] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[bhTarif](
	[id] [bigint] NOT NULL,
	[Name] [varchar](40) NOT NULL,
	[WaM] [smallmoney] NULL,
	[WaW] [smallmoney] NULL,
	[IrM] [smallmoney] NULL,
	[IrW] [smallmoney] NULL,
	[SQLBestand] [bigint] NULL,
 CONSTRAINT [PK_bhTarif] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_bhTarif] UNIQUE NONCLUSTERED 
(
	[SQLBestand] ASC,
	[Name] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
ALTER TABLE [dbo].[bhTarif]  WITH CHECK ADD  CONSTRAINT [FK_bhTarif_SQLBestand] FOREIGN KEY([SQLBestand])
REFERENCES [dbo].[SQLBestand] ([id])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[bhTarif] CHECK CONSTRAINT [FK_bhTarif_SQLBestand]

GO

CREATE TABLE [dbo].[bhtWerte](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[BhtId] [bigint] NOT NULL,
	[RentenEintrittsAlter] [tinyint] NOT NULL,
	[tarif_m] [real] NULL,
	[tarif_w] [real] NULL,
 CONSTRAINT [PK_bhtWerte] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_bhtWerte] UNIQUE NONCLUSTERED 
(
	[BhtId] ASC,
	[RentenEintrittsAlter] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[bhtWerte]  WITH CHECK ADD  CONSTRAINT [FK_bhtWerte_bhTarif] FOREIGN KEY([BhtId])
REFERENCES [dbo].[bhTarif] ([id])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[bhtWerte] CHECK CONSTRAINT [FK_bhtWerte_bhTarif]

GO


CREATE TABLE [dbo].[EAkteReports](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[ReportDateiName] [varchar](100) NULL,
	[Beschreibung] [varchar](100) NULL,
	[Individuell] [bit] NULL,
	[ReportTitle] [varchar](50) NULL,
 CONSTRAINT [PK_EAkteReports] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[elAkte](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[mid] [bigint] NULL,
	[Datum] [datetime] NULL,
	[Inhalt] [varchar](200) NULL,
	[Ersteller] [varchar](50) NULL,
	[Pfad] [varchar](200) NOT NULL,
	[Datei] [varchar](200) NOT NULL,
	[SQLBestand] [bigint] NULL,
 CONSTRAINT [PK_elAkte] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

 


ALTER TABLE [dbo].[elAkte]  WITH CHECK ADD  CONSTRAINT [FK_elAkte_Mandant] FOREIGN KEY([mid])
REFERENCES [dbo].[Mandant] ([id])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[elAkte] CHECK CONSTRAINT [FK_elAkte_Mandant]
GO

CREATE TABLE [dbo].[FldInfo](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[FldName] [varchar](50) NULL,
	[FldDescription] [varchar](200) NULL,
	[FldExcluded] [bit] NULL,
	[TableName] [varchar](10) NULL,
	[DatenTyp] [varchar](50) NULL,
	[lfdnr] [int] NULL,
 CONSTRAINT [PK_FldInfo] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
CREATE TABLE [dbo].[IESchemas](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[schName] [varchar](50) NOT NULL,
	[schTextdatei] [text] NULL,
	[schSQL] [text] NULL,
	[schFields] [text] NULL,
	[schTrenn] [varchar](5) NULL,
	[schPersAnlegen] [bit] NULL,
 CONSTRAINT [PK_IESchemas] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

CREATE TABLE [dbo].[ktab](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[kn] [varchar](50) NOT NULL,
	[kk] [varchar](50) NULL,
	[Verwaltung] [bit] NULL,
	[Rechnen] [bit] NULL,
	[Admin] [bit] NULL,
 CONSTRAINT [PK_ktab] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


CREATE TABLE [dbo].[ListViewProperties](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Tabelle] [varchar](10) NOT NULL,
	[Feld] [varchar](20) NOT NULL,
	[Beschriftung] [varchar](20) NULL,
	[Breite] [varchar](10) NULL,
	[Format] [varchar](20) NULL,
	[Ausrichtung] [varchar](10) NULL,
	[DatenTyp] [varchar](5) NULL,
 CONSTRAINT [PK_ListViewProperties] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]


CREATE TABLE [dbo].[PersAnrGRV](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[PersId] [bigint] NOT NULL,
	[EPx] [real] NULL,
	[ZFx] [real] NULL,
	[monGRV] [real] NULL,
	[Gehalt] [real] NULL,
	[Vektor] [real] NULL,
	[bt] [real] NULL,
	[ergGRVRentenwert] [real] NULL,
	[ergGRVBBG] [real] NULL,
	[ergGRVGD] [real] NULL,
	[x] [smallint] NULL,
	[meldung] [varchar](250) NULL,
	[zusagewert] [real] NULL,
 CONSTRAINT [PK_PersAnrGRV] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


ALTER TABLE [dbo].[PersAnrGRV]  WITH CHECK ADD  CONSTRAINT [FK_PersAnrGRV_Person] FOREIGN KEY([PersId])
REFERENCES [dbo].[Person] ([id])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[PersAnrGRV] CHECK CONSTRAINT [FK_PersAnrGRV_Person]

GO




CREATE TABLE [dbo].[PersDyn](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[PersId] [bigint] NOT NULL,
	[ArJN] [bit] NULL,
	[ArWert] [real] NULL,
	[ArAnwDynArt] [varchar](30) NULL,
	[ArAnwDynBetrag] [real] NULL,
	[ArRenDynProz] [real] NULL,
	[ArNurAktiver] [bit] NULL,
	[ArWartezeit] [tinyint] NULL,
	[ArDynWartezeit] [tinyint] NULL,
	[ArBegrArt] [varchar](30) NULL,
	[ArBegrWert] [real] NULL,
	[ArhJN] [bit] NULL,
	[ArhWert] [real] NULL,
	[ArhWertArt] [varchar](30) NULL,
	[ArhAnwDynArt] [varchar](30) NULL,
	[ArhAnwDynBetrag] [real] NULL,
	[ArhRenDynProz] [real] NULL,
	[ArhWartezeit] [tinyint] NULL,
	[ArhBegrArt] [varchar](30) NULL,
	[ArhBegrWert] [real] NULL,
	[ArhDynWartezeit] [tinyint] NULL,
	[IrJN] [bit] NULL,
	[IrWert] [real] NULL,
	[IrWertArt] [varchar](30) NULL,
	[IrAnwDynArt] [varchar](30) NULL,
	[IrAnwDynBetrag] [real] NULL,
	[IrRenDynProz] [real] NULL,
	[IrAbgekuerzt] [bit] NULL,
	[IrWartezeit] [tinyint] NULL,
	[IrBegrArt] [varchar](30) NULL,
	[IrBegrWert] [real] NULL,
	[IrDynWartezeit] [tinyint] NULL,
	[IrhJN] [bit] NULL,
	[IrhWert] [real] NULL,
	[IrhWertArt] [varchar](30) NULL,
	[IrhAnwDynArt] [varchar](30) NULL,
	[IrhAnwDynBetrag] [real] NULL,
	[IrhRenDynProz] [real] NULL,
	[IrhWartezeit] [tinyint] NULL,
	[IrhBegrArt] [varchar](30) NULL,
	[IrhBegrWert] [real] NULL,
	[IrhDynWartezeit] [tinyint] NULL,
	[HrJN] [bit] NULL,
	[HrWert] [real] NULL,
	[HrWertArt] [varchar](30) NULL,
	[HrAnwDynArt] [varchar](30) NULL,
	[HrAnwDynBetrag] [real] NULL,
	[HrRenDynProz] [real] NULL,
	[HrWartezeit] [tinyint] NULL,
	[HrBegrArt] [varchar](30) NULL,
	[HrBegrWert] [float] NULL,
	[HrDynWartezeit] [tinyint] NULL,
	[StgJN] [bit] NULL,
	[StgWert] [real] NULL,
	[StgWertArt] [varchar](30) NULL,
	[StgAnwDynArt] [varchar](30) NULL,
	[StgAnwDynBetrag] [real] NULL,
	[StgRenDynProz] [real] NULL,
	[StgWartezeit] [tinyint] NULL,
	[StgBegrArt] [varchar](30) NULL,
	[StgBegrWert] [real] NULL,
	[StgDynWartezeit] [tinyint] NULL,
	[ArStartDatum] [datetime] NULL,
	[ArhStartDatum] [datetime] NULL,
	[IrStartDatum] [datetime] NULL,
	[IrhStartDatum] [datetime] NULL,
	[HrStartDatum] [datetime] NULL,
	[StgStartDatum] [datetime] NULL,
	[VwJN] [bit] NULL,
	[VwWert] [real] NULL,
	[SockelBetragPROZ] [real] NULL,
	[ArStg] [real] NULL,
	[ArStgJN] [bit] NULL,
	[ArStgWertArt] [varchar](3) NULL,
	[IrStg] [real] NULL,
	[IrStgJN] [bit] NULL,
	[IrStgWertArt] [varchar](3) NULL,
	[ArStgAnwDynArt] [varchar](30) NULL,
	[ArStgAnwDynBetrag] [smallmoney] NULL,
	[ArStgBegrArt] [varchar](30) NULL,
	[ArStgBegrWert] [smallmoney] NULL,
	[ArStgWartezeit] [smallint] NULL,
	[ArStgStartDatum] [datetime] NULL,
	[IrStgAnwDynArt] [varchar](30) NULL,
	[IrStgAnwDynBetrag] [smallmoney] NULL,
	[IrStgBegrArt] [varchar](30) NULL,
	[IrStgBegrWert] [smallmoney] NULL,
	[IrStgWartezeit] [smallint] NULL,
	[IrStgStartDatum] [datetime] NULL,
	ArStgDynWartezeit [tinyint] NULL,
 CONSTRAINT [PK_PersDyn] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
 

ALTER TABLE [dbo].[PersDyn]  WITH CHECK ADD  CONSTRAINT [FK_PersDyn_Person] FOREIGN KEY([PersId])
REFERENCES [dbo].[Person] ([id])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[PersDyn] CHECK CONSTRAINT [FK_PersDyn_Person]
GO

 

CREATE TABLE [dbo].[PersErg](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[PersId] [bigint] NOT NULL,
	[ErgStichtag] [datetime] NULL,
	[ErgBilanzmonat] [varchar](20) NULL,
	[ErgRichttafel] [varchar](20) NULL,
	[ErgZinsGrundlage] [varchar](30) NULL,
	[ErgAlterFinBeg] [varchar](30) NULL,
	[ErgAlterStichtag] [real] NULL,
	[ErgAnrSVJahre] [int] NULL,
	[ErgAnrSVProzent] [real] NULL,
	[ErgAnzZahlungen] [real] NULL,
	[ErgZinsVorsorge] [real] NULL,
	[ErgZinsBeihilfe] [real] NULL,
	[ErgZinsATZ] [real] NULL,
	[ErgFinBeg] [varchar](30) NULL,
	[ErgDynZeitpunkt] [varchar](30) NULL,
	[ErgJahresgehalt] [real] NULL,
	[ErgUnverfallbar] [varchar](3) NULL,
	[ErgUnverfallbarGrund] [varchar](3) NULL,
	[ErgEndalter] [real] NULL,
	[ErgKuerzfaktor] [real] NULL,
	[ErgRgfGehalt] [real] NULL,
	[ErgVersorgungssatz] [real] NULL,
	[ErgRenteAb] [real] NULL,
	[ErgBeihilfeVBetrag] [real] NULL,
	[ErgBeihilfeVHerkunft] [varchar](50) NULL,
	[ErgBeihilfePBetrag] [real] NULL,
	[ErgBeihilfePHerkunft] [varchar](50) NULL,
	[ErgTeilwertVorsorge] [bigint] NULL,
	[ErgTeilwertBeihilfe] [bigint] NULL,
	[ErgTeilwertVorsorgeFJ] [bigint] NULL,
	[ErgBarwertATZFJ] [bigint] NULL,
	[ErgTeilwertBeihilfeFJ] [bigint] NULL,
	[ErgBarwertVorsorge] [bigint] NULL,
	[ErgBarwertATZ] [bigint] NULL,
	[ErgBarwertBeihilfe] [bigint] NULL,
	[ErgKoPraemieVorsorge] [real] NULL,
	[ErgKoPraemieBeihilfe] [real] NULL,
	[ErgHrWertBeamte] [real] NULL,
	[ErgRenteBis] [tinyint] NULL,
	[ergbundesland] [varchar](255) NULL,
	[ErgTeilwertJub] [bigint] NULL,
	[ErgTeilwertJubFJ] [bigint] NULL,
	[ErgATZRentenEintritt] [datetime] NULL,
	[ErgBarwertATZErfRckStd] [int] NULL,
	[ErgBarwertATZAufStck] [int] NULL,
	[ErgBarwertATZEinmalAufw] [int] NULL,
	[ErgJubBerArt] [varchar](100) NULL,
	[ErgATZBerArt] [varchar](50) NULL,
	[ErgTZfaktor] [real] NULL,
	[berechnungsvariante] [varchar](50) NULL,
	[Rententrent] [varchar](10) NULL,
	[Gehaltstrent] [varchar](10) NULL,
	[ErgZinsJub] [real] NULL,
	[ErgArNurAktiver] [bit] NULL,
	[mitPrognose] [bit] NULL,
	[jubiMitGD] [bit] NULL,
	[ErgIsEStG] [bit] NULL,
	[ErgBilMoGRatierlich] [bit] NULL,
	[ErgDegrMntel] [bit] NULL,
	[ATZPrognose] [bit] NULL,
	[JubiPrognose] [bit] NULL,
	[ATZMitGD] [bit] NULL,
	[beihMitGD] [bit] NULL,
	[ergFluktuation] [bit] NULL,
	[ergFluktAbweichung] [real] NULL,
	[mntelBH] [bit] NULL,
	[trendMitDynamik] [bit] NULL,
	[jubiRatierlich] [bit] NULL,
	[ErgAnrGRVVerfahren] [varchar](40) NULL,
	[mitPrognoseAbFJ] [datetime] NULL,
	[ATZPrognoseAbFJ] [datetime] NULL,
	[JubiPrognoseAbFJ] [datetime] NULL,
	[ATZAbfindungInRente] [bit] NULL,
	[ghTrendKap] [bit] NULL,
	[ergFlukBegAlter] [tinyint] NULL,
	[ergFlukEndAlter] [tinyint] NULL,
	[ErgAnspGewErstJ] [varchar](10) NULL,
	[modifiziert] [bit] NULL,
	[ergPrognoseText] [varchar](255) NULL,
	[ergPrognoseHandling] [varchar](255) NULL,
 CONSTRAINT [PK_PersErg] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

 
ALTER TABLE [dbo].[PersErg]  WITH CHECK ADD  CONSTRAINT [FK_PersErg_Person] FOREIGN KEY([PersId])
REFERENCES [dbo].[Person] ([id])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[PersErg] CHECK CONSTRAINT [FK_PersErg_Person]
GO



CREATE TABLE [dbo].[PersErg2](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[persid] [bigint] NOT NULL,
	[ergProjektHead] [varchar](255) NULL,
	[ergProjektText] [varchar](255) NULL,
	[ergFlukPension] [bit] NULL,
	[ergFlukBeih] [bit] NULL,
	[ergFlukJubi] [bit] NULL,
	[altersVerschiebung] [int] NULL,
	[VersionGerechnet] [varchar](30) NULL,
	[ergMNTELText] [varchar](100) NULL,
	[mindesVersorgung] [varchar](250) NULL,
	[ergVwJN] [bit] NULL,
	[ehemAktSchonRatierlich] [varchar](120) NULL,
	[RTanzJahrTrend] [smallint] NULL,
	[RTProjektionsEnde] [smallint] NULL,
	[RTisModified] [bit] NULL,
	[ProjektionsEnde] [bit] NULL,
	[ergAtzBwf_L] [smallint] NULL,
	[ergAtzBwf_E] [smallint] NULL,
	[ergAtzAnzZahlungen] [real] NULL,
	[ergVwWert] [real] NULL,
	[ehemAktKZ] [real] NULL,
	[RTmodqxaa] [real] NULL,
	[RTmodIX] [real] NULL,
	[RTmodqxi] [real] NULL,
	[RTmodqxr] [real] NULL,
	[RTmodqxw] [real] NULL,
	[RTmodsx] [real] NULL,
	[RTmodhx] [real] NULL,
	[RTmodyx] [real] NULL,
	[ergGRVText] [varchar](255) NULL,
	[ergGRVBBG] [real] NULL,
	[ergGRVGD] [real] NULL,
	[ergGRVRentenwert] [real] NULL,
	[rente45DJ] [bit] NULL,
	[ergPrognoseVorStichtag] [bit] NULL,
	[anzKinder] [smallint] NULL,
	[kinderZuschlag] [real] NULL,
	[ausgleichsbetrag] [real] NULL,
	[ergFSJ] [bigint] NULL,
	[ergBeihTrend] [real] NULL,
	[ergAlterVT] [bit] NULL,
	[twg2] [int] NULL,
	[bwg2] [int] NULL,
	[beihPrognose] [bit] NULL,
	[ergPrognoseTextBeih] [varchar](250) NULL,
	[GehaltsTrendFaktor] [real] NULL,
	[GehaltsTrendStart] [tinyint] NULL,
	[PrognoseFaktor65] [real] NULL,
	[ErgZins2] [real] NULL,
	[ergWahldatum] [datetime] NULL,
 CONSTRAINT [PK_PersErg2] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
 

ALTER TABLE [dbo].[PersErg2]  WITH CHECK ADD  CONSTRAINT [FK_PersErg2_Person] FOREIGN KEY([persid])
REFERENCES [dbo].[Person] ([id])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[PersErg2] CHECK CONSTRAINT [FK_PersErg2_Person]
GO

CREATE TABLE [dbo].[persErgZinsen](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[PersId] [bigint] NOT NULL,
	[restlaufzeit] [tinyint] NULL,
	[zins] [real] NULL,
	[jahr] [int] NULL,
	[twJub] [real] NULL,
	[zusage] [real] NULL,
	[tw92] [real] NULL,
	[faktor] [int] NULL,
	[dienstJahr] [smallint] NULL,
	[Urlaub] [int] NULL,
	[UrlaubBetrag] [real] NULL,
 CONSTRAINT [PK_persErgZinsen_1] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[persErgZinsen]  WITH CHECK ADD  CONSTRAINT [FK_persErgZinsen_Person] FOREIGN KEY([PersId])
REFERENCES [dbo].[Person] ([id])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[persErgZinsen] CHECK CONSTRAINT [FK_persErgZinsen_Person]


GO

CREATE TABLE [dbo].[PersJub](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[PersId] [bigint] NOT NULL,
	[Jahr] [tinyint] NULL,
	[Betrag] [real] NULL,
	[Zins] [real] NULL,
	[Urlaub] [int] NULL,
 CONSTRAINT [PK_PersJub] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[PersJub]  WITH CHECK ADD  CONSTRAINT [FK_PersJub_Person] FOREIGN KEY([PersId])
REFERENCES [dbo].[Person] ([id])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[PersJub] CHECK CONSTRAINT [FK_PersJub_Person]



GO
CREATE TABLE [dbo].[PersTW](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Persid] [bigint] NOT NULL,
	[Mitglied] [varchar](50) NULL,
	[AlterAmST] [tinyint] NULL,
	[Stichtag] [datetime] NULL,
	[Dezalter] [real] NULL,
	[twg] [bigint] NULL,
	[bwg] [bigint] NULL,
	[bwa] [bigint] NULL,
	[bwah] [int] NULL,
	[bwi] [int] NULL,
	[bwih] [int] NULL,
	[bwh] [int] NULL,
	[bwsg] [int] NULL,
	[bhv] [bigint] NULL,
	[bhh] [bigint] NULL,
	[bht] [bigint] NULL,
	[atz] [bigint] NULL,
	[twj] [bigint] NULL,
	[atzerfrckstd] [int] NULL,
	[atzaufstck] [bigint] NULL,
	[atzeinmalaufw] [bigint] NULL,
	[pfaktor] [real] NULL,
	[zufTw] [bigint] NULL,
	[zufBw] [bigint] NULL,
	[isANW] [bit] NULL,
	[fsj] [bigint] NULL,
	[Rechenzins] [real] NULL,
	[twg2] [int] NULL,
	[bwg2] [int] NULL,
	[zufATZ] [int] NULL,
	[zufJub] [int] NULL,
	[zufBeih] [int] NULL,
	[Rechenzins2] [real] NULL,
 CONSTRAINT [PK_PersTW] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
 

ALTER TABLE [dbo].[PersTW]  WITH CHECK ADD  CONSTRAINT [FK_PersTW_Person] FOREIGN KEY([Persid])
REFERENCES [dbo].[Person] ([id])
ON UPDATE CASCADE
ON DELETE CASCADE


GO



CREATE TABLE [dbo].[PersTZ](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Persid] [bigint] NOT NULL,
	[Jahr] [smallint] NULL,
	[Faktor] [real] NULL,
 CONSTRAINT [PK_PersTZ] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[PersTZ]  WITH CHECK ADD  CONSTRAINT [FK_PersTZ_Person] FOREIGN KEY([Persid])
REFERENCES [dbo].[Person] ([id])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[PersTZ] CHECK CONSTRAINT [FK_PersTZ_Person]


GO

CREATE TABLE [dbo].[PersVek](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[PersId] [bigint] NOT NULL,
	[VektorArt] [varchar](10) NULL,
	[Jahr] [smallint] NULL,
	[Wert] [real] NULL,
	[Datum] [datetime] NULL,
 CONSTRAINT [PK_PersVek] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO




ALTER TABLE [dbo].[PersVek]  WITH CHECK ADD  CONSTRAINT [FK_PersVek_Person] FOREIGN KEY([PersId])
REFERENCES [dbo].[Person] ([id])
ON UPDATE CASCADE
ON DELETE CASCADE
GO

ALTER TABLE [dbo].[PersVek] CHECK CONSTRAINT [FK_PersVek_Person]
GO



CREATE TABLE [dbo].[Prognose](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Stichtag] [datetime] NOT NULL,
	[Wert] [real] NULL,
	[Betrag] [real] NULL,
	[aktive] [smallint] NULL,
	[la] [smallint] NULL,
	[beihilfe] [bit] NULL,
	[SQLBestand] [bigint] NULL,
 CONSTRAINT [PK_Prognose] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_Prognose] UNIQUE NONCLUSTERED 
(
	[SQLBestand] ASC,
	[id] ASC,
	[Stichtag] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]


GO



CREATE TABLE [dbo].[RGVorlagen](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Code] [varchar](50) NOT NULL,
	[Wert] [varchar](100) NOT NULL,
	[vorlage] [varchar](50) NOT NULL,
	[SQLBestand] [bigint] NULL,
 CONSTRAINT [PK_RGVorlagen] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_RGVorlagen] UNIQUE NONCLUSTERED 
(
	[Code] ASC,
	[SQLBestand] ASC,
	[vorlage] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


GO

CREATE TABLE [dbo].[Sequences](
	[tabelle] [varchar](50) NOT NULL,
	[lastid] [bigint] NOT NULL,
 CONSTRAINT [PK_Sequences] PRIMARY KEY CLUSTERED 
(
	[tabelle] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[Sperren](
	[Mitglied] [bigint] NULL,
	[PersNr] [bigint] NULL,
	[Datum] [datetime] NULL,
	[Anwender] [varchar](50) NULL,
	[id] [bigint] IDENTITY(1,1) NOT NULL,
 CONSTRAINT [PK_Sperren] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO 

CREATE TABLE [dbo].[Syspar](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Code] [varchar](250) NOT NULL,
	[Wert] [varchar](250) NOT NULL,
	[SQLBestand] [bigint] NULL,
 CONSTRAINT [PK_Syspar] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_Syspar] UNIQUE NONCLUSTERED 
(
	[Code] ASC,
	[SQLBestand] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]



GO

CREATE PROCEDURE [dbo].[x_nextVal]
(
@sequence 	nvarchar(100),
@sequence_id 	bigint OUTPUT,
@suppress bit = 0
)     
AS
---------------------------------------------------------------------------------------------------------
-- return an error if sequence does not exist so we will know if someone truncates the table
---------------------------------------------------------------------------------------------------------
set @sequence_id = -1
              
UPDATE sequences
SET    @sequence_id = lastid = lastid + 1
WHERE  tabelle = @sequence

if @sequence_id = -1
	begin
		insert into sequences (tabelle, lastid)
			values(@sequence, 1)
		select  @sequence_id = 1
	end
if @suppress = 0
	select @sequence_id



GO


CREATE UNIQUE NONCLUSTERED INDEX [IX_PersDyn] ON [dbo].[PersDyn]
(
	[PersId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO


CREATE UNIQUE NONCLUSTERED INDEX [IX_PersErg] ON [dbo].[PersErg]
(
	[PersId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE UNIQUE NONCLUSTERED INDEX [IX_PersErg2] ON [dbo].[PersErg2]
(
	[PersId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE NONCLUSTERED INDEX [IX_PersVek] ON [dbo].[PersVek]
(
	[PersId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO


CREATE  NONCLUSTERED INDEX [IX_PersErgZinsen] ON [dbo].[PersErgZinsen]
(
	[PersId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE  NONCLUSTERED INDEX [IX_PersJub] ON [dbo].[PersJub]
(
	[PersId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO
 
CREATE NONCLUSTERED INDEX [IX_PersTW] ON [dbo].[PersTW]
(
	[Persid] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE  NONCLUSTERED INDEX [IX_PersTZ] ON [dbo].[PersTZ]
(
	[PersId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

CREATE UNIQUE NONCLUSTERED INDEX [IX_PersAnrGRV] ON [dbo].[PersAnrGRV]
(
	[PersId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO



GO

CREATE TABLE [dbo].[PersjubAllgemein](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Jahr] [tinyint] NULL,
	[Betrag] [real] NULL,
	[Zins] [real] NULL,
	[Urlaub] [int] NULL,
	[SQLBestand] [bigint] NULL,
 CONSTRAINT [PK_PersjubAllgemein] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_PersjubAllgemein] UNIQUE NONCLUSTERED 
(
	[Jahr] ASC,
	[SQLBestand] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]


GO


CREATE TABLE [dbo].[zinsvektor](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[jahr] [smallint] NOT NULL,
	[wert] [float] NULL,
	[wert2] [float] NULL,
	[SQLBestand] [bigint] NULL,
 CONSTRAINT [PK_Zinsvektor] PRIMARY KEY NONCLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_zinsvektor] UNIQUE NONCLUSTERED 
(
	[jahr] ASC,
	[SQLBestand] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[BhtAlternativ](
    [ID] BIGINT IDENTITY(1,1) NOT NULL,
    [Jahr] int,
    [Anzahl] int,
    [Zahlungen] REAL,
	CONSTRAINT [PK_BhtAlternativ] PRIMARY KEY NONCLUSTERED([id] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[felder](
	[ID] BIGINT IDENTITY(1,1) NOT NULL,
    [name] VARCHAR(255) NOT NULL,
    [typ] VARCHAR(50) NOT NULL,
    [moeglicheWerte] TEXT,
    [nullWert] BIT,
	CONSTRAINT [PK_felder] PRIMARY KEY NONCLUSTERED([id] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[felder_person](
    [ID] BIGINT IDENTITY(1,1) NOT NULL,
    [persId] BIGINT NOT NULL,
    [feldId] BIGINT NOT NULL,
    [wert] TEXT,
    FOREIGN KEY (persId) REFERENCES Person(id),
    FOREIGN KEY (feldId) REFERENCES felder(id),
	CONSTRAINT [PK_felder_person] PRIMARY KEY NONCLUSTERED([id] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY], 
	CONSTRAINT [IX_felder_person_person] UNIQUE NONCLUSTERED([persId] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
	CONSTRAINT [IX_felder_person_felder] UNIQUE NONCLUSTERED([feldId] ASC)
	WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[historie](
    [ID] BIGINT IDENTITY(1,1) PRIMARY KEY,
    [PersId] BIGINT NOT NULL,
    [pos] BIGINT NOT NULL,
    [inhalt] TEXT,
    FOREIGN KEY (persId) REFERENCES Person(id)
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[impExpSchema](
    [ID] BIGINT IDENTITY(1,1) PRIMARY KEY,
	[name] VARCHAR(255) NOT NULL,
	[separator] VARCHAR(5) NOT NULL,
    [pfad] TEXT,
    [logDatei] TEXT,
    [sqlAbfrage] TEXT,
    [personenAnlegen] BIT,
    [loeschlogik] VARCHAR(50),
    [versorgungsart] TEXT,
    [personengruppe] TEXT,
    [eingebaut] BIT
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[schema_field](
    [ID] BIGINT IDENTITY(1,1) PRIMARY KEY,
    [schema] BIGINT NOT NULL,
    [defaultValue] TEXT,
    [feldWerteIgnorieren] BIT,
    [field] BIGINT NOT NULL,
    FOREIGN KEY([field]) REFERENCES FldInfo(id),
    FOREIGN KEY([schema]) REFERENCES impExpSchema(id)
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[PersLiq](
	[ID] BIGINT IDENTITY(1,1) PRIMARY KEY,
	[PersId] BIGINT NOT NULL,
	[Stichtag] DATE NOT NULL,
	[AlterAmSt] REAL NOT NULL,
	[LiqAR] REAL DEFAULT 0,
	[LiqIR] REAL DEFAULT 0,
	[LiqHR] REAL DEFAULT 0,
	FOREIGN KEY (PersId) REFERENCES Person(id) 
	ON DELETE CASCADE ON UPDATE CASCADE
) ON [PRIMARY]

GO